curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"account_guid": "ACT-0af29528-bb91-447f-b5de-85c1c42593e5",
"account_id": "FdvkkAgLS0nbDNUujrblz6rYDSl5w-tTLwYRgIxe7jw",
"amount": 5003.9,
"category": "Paycheck",
"category_guid": "CAT-982ea9e6-3f0e-0c5b-611b-6657a10ba819",
"check_number_string": null,
"created_at": "2024-12-20T18:52:36Z",
"currency_code": null,
"date": "2024-12-20",
"description": "MX Technologies",
"extended_transaction_type": null,
"guid": "TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1",
"id": "1734681600000-178fa8095c154a55b9172f977b4c5f9a-0",
"is_bill_pay": false,
"is_direct_deposit": false,
"is_expense": false,
"is_fee": false,
"is_income": true,
"is_international": null,
"is_manual": false,
"is_overdraft_fee": false,
"is_payroll_advance": false,
"is_recurring": null,
"is_subscription": false,
"latitude": null,
"localized_description": null,
"localized_memo": null,
"longitude": null,
"member_guid": "MBR-78b14c5f-7297-4fb5-a966-65ac45f74d8",
"member_is_managed_by_user": true,
"memo": "Transactions",
"merchant_category_code": null,
"merchant_guid": "MCH-8cc3b01a-1c52-47d4-970d-30f8ee5566f1",
"merchant_location_guid": null,
"metadata": null,
"original_description": "MX TECHNOLOGIES PAYMENT",
"posted_at": "2024-12-20T12:00:00Z",
"status": "POSTED",
"top_level_category": "Income",
"transacted_at": "2024-12-20T12:00:00Z",
"type": "CREDIT",
"updated_at": "2024-12-20T18:52:38Z",
"user_guid": "USR-ef7a82f6-d6c1-42c4-9061-bdece5c4d44e",
"user_id": null,
"classification": {
"parent_class": "Deposit",
"guid": "MNC-3ad50f86-60d0-4545-a1f9-e66c2ac40f69"
},
"geolocation": {
"country": "us",
"state": "UT",
"city": "lehi",
"postal code": "84043"
},
"merchant": {
"name": "MX",
"guid": "MCH-0c25f895-393c-42a4-9c18-95a0b26d4d84",
"logo_url": "https://content.mx.com/logos/merchants/MCH-0c25f895-393c-42a4-9c18-95a0b26d4d84.png",
"website_url": "https://www.mx.com"
},
"repeating_transaction": {
"recurrence_type": "EVERY_OTHER_WEEK",
"guid": "RPT-065b8b1d-826a-45ce-8487-60ca1510e72a"
}
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Read transaction
transaction. To read a manual transaction, use the manual transaction guid in the path as the transactionGuid. Enhanced transaction data may be requested using the
includes parameter. To use this optional parameter, the value should include the optional metadata requested such as repeating_transactions, merchants, classifications, geolocations. For more information, see the Optional Enhancement Query Parameter guide.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
The unique id for a transaction.
Query Parameters
Options for enhanced transactions. This query parameter is optional. Possible additional metadata: repeating_transactions, merchants, classifications, geolocations. The query value is format sensitive. To retrieve all available enhancements, append:
?includes=repeating_transactions,merchants,classifications,geolocations.
The query options may be combined to specific enhancements. For example, to request Repeating Transactions and Geolocation data, use:
?includes=repeating_transactions,geolocations.
- Repeating Transactions: Identifies transactions with predictable recurrence patterns (e.g., Bill, Income, Subscription).
- Merchants: Enriches transactions with merchant name.
- Classifications: Provides more insight into the type of money movement that is occurring on the transaction, whether it be retail or investments.
- Geolocation: Provides geographic metadata.
Response
OK
Hide child attributes
Hide child attributes
"ACT-0af29528-bb91-447f-b5de-85c1c42593e5"
"FdvkkAgLS0nbDNUujrblz6rYDSl5w-tTLwYRgIxe7jw"
5003.9
"Paycheck"
"CAT-982ea9e6-3f0e-0c5b-611b-6657a10ba819"
null
"2024-12-20T18:52:36Z"
null
"2024-12-20"
"MX Technologies"
null
"TRN-429ad9fe-a1d2-4559-8590-885b2603f0e1"
"1734681600000-178fa8095c154a55b9172f977b4c5f9a-0"
false
false
false
false
true
null
false
false
false
null
false
null
null
null
null
"MBR-78b14c5f-7297-4fb5-a966-65ac45f74d8"
true
"Transactions"
null
"MCH-8cc3b01a-1c52-47d4-970d-30f8ee5566f1"
null
null
"MX TECHNOLOGIES PAYMENT"
"2024-12-20T12:00:00Z"
"POSTED"
"Income"
"2024-12-20T12:00:00Z"
"CREDIT"
"2024-12-20T18:52:38Z"
"USR-ef7a82f6-d6c1-42c4-9061-bdece5c4d44e"
null
Hide child attributes
Hide child attributes
Payroll, Deposit, Savings, Transfer, Refunds, Spend, Investment, Buy, Sell, Income, Fees, Expenses, Corporate Actions, Other "Deposit"
"MNC-3ad50f86-60d0-4545-a1f9-e66c2ac40f69"
Hide child attributes
Hide child attributes
"MX"
"MCH-0c25f895-393c-42a4-9c18-95a0b26d4d84"
"https://content.mx.com/logos/merchants/MCH-0c25f895-393c-42a4-9c18-95a0b26d4d84.png"
"https://www.mx.com"
Hide child attributes
Hide child attributes
BILL, SUBSCRIPTION, INCOME, UNKNOWN EVERY_OTHER_WEEK "RPT-065b8b1d-826a-45ce-8487-60ca1510e72a"

